Subject: Re: bug#23425: master branch: `message' wrongly corrupts ' to curly quote.

From: Paul Eggert <[email-masked]>
Date: Fri, 9 Jun 2017 17:20:58 -0700

Drew Adams wrote:
> Where was that concern when you hijacked `message'?

There is no need for personal and inflammatory language like that.

That being said, I can try to describe the software engineering concerns. The 
problem with Emacs 24 message quoting had several possible solutions, none of 
them ideal. In practice the approach taken in Emacs 25 requires far fewer 
changes to existing code than the proposed quote-related format specs, and that 
is a significant win. Although quote-related format specs also have advantages, 
these advantages do not clearly outweigh that win and the proposed specs have 
further problems of their own.